<?php 
include_once APPLICATION_PATH . '/DAO/MenuDAO.php';
include_once APPLICATION_PATH . '/DAO/UtilisateurDAO.php';
include_once APPLICATION_PATH . '/DAO/DroitDAO.php';
//include_once APPLICATION_PATH . '/DAO/UtilisateurRaccourciDAO.php';

        if ( isset($_SESSION["idUtilisateur"])){
            $idUtilisateur=$_SESSION["idUtilisateur"]; 
        }else{
            $this->_helper->redirector('index' , 'Index');
        }
        
        
        $menuDao = new MenuDAO();
        $droitDao=new DroitDAO();
        
        $utili = new UtilisateurDAO(); 
        $leUser=$utili->getUtilisateurById($idUtilisateur);
        
        $tableauMenus=  array();
        
        $listeParent = $menuDao->listerMenuParents();
        
         foreach ($listeParent as $unParent)
        {
             $tableauMenus[$unParent->getIdMenu()]=array(); 
             $lesSousMenus=$menuDao->listerSousMenus($unParent);
             if(is_array($lesSousMenus) && count($lesSousMenus)>0)
             {
                
                 foreach ($lesSousMenus as $unSousMenu)
                 {
                     
                     
                     
                    if($droitDao->droitMenu($leUser->getIdprofil()->getIdprofil(), $unSousMenu->getIdmenu())==true){
                        $tableauMenus[$unParent->getIdmenu()][]=$unSousMenu;
                    }
                        
                 }
                 
             }
             

        }
        //var_dump($tableauMenus);
        

       
?>
<!--<br/>-->  

                
                   
                        <?php 
                        
                        //on parcours la liste des menus parents
                        foreach ($tableauMenus as $unIdParent => $lesSousMenus)
                        {
                            if(count($lesSousMenus)<=0)   continue;
                                $unParent=$menuDao->obtenirMenu($unIdParent); //récupération de l'objet menu
                        ?> 
                        
                        <li id="<?php echo 'menu-' . $unIdParent;?>" class="treeview"  >
                                    <a  href="<?php echo $this->url(array('controller' => $unParent->getController(), 'action' => $unParent->getAction()),null , true); ?>"><i class="<?php  echo $unParent->getIcon() ?>"></i><span class="fa arrow"></span>
                                         <?php  echo $unParent->getNom(); //nom du menu
                                       
                                        ?>
                                    </a>
                                    <?php
                                    //s'il a des sous menu on affiche la liste de ses sous-menu
                                  if(is_array($lesSousMenus) && count($lesSousMenus)>0)
                                    {
                                    ?>
                                      <ul class="treeview-menu nav nav-second-level">
                                         <?php foreach ($lesSousMenus as $unSousMenu)
                                               {
                                             ?><li ><a id="<?php echo "menu-" .  $unSousMenu->getIdMenu();?>" href="<?php echo $this->url(array('controller' => $unSousMenu->getController(), 'action' => $unSousMenu->getAction()),null , true); ?>"><?php echo $unSousMenu->getNom(); ?><i class="<?php  echo $unSousMenu->getIcon() ?>"></i></a></li>
                                                    <?php 
                                               } 
                                          ?> 
                                      </ul>
                                   <?php
                                    }
                                    ?>
                                </li>
                        <?php
                        }
                        ?> 
                       
                  
            




